Name:           gajim
Version:        0.10.1
Release:        1%{?dist}
Summary:        Jabber client written in PyGTK

Group:          Applications/Internet
License:        GPL
URL:            http://gajim.org/
Source0:        http://gajim.org/downloads/gajim-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libXScrnSaver-devel
BuildRequires:  pkgconfig
BuildRequires:  pygtk2-devel
BuildRequires:  python-devel
BuildRequires:  gtkspell-devel

Requires:       bind-utils
Requires:       dbus-python
#Requires:       gnome-python2-gconf
Requires:       pygtk2-libglade
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:       python-sqlite2

%description
Gajim is a Jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+ users.
Gajim does not require GNOME to run, eventhough it exists with it nicely.


%prep
%setup -q


%build
make \
	CC="%{__cc}" \
	LIBDIR="/%{_lib}" \
	OPTFLAGS="%{optflags}" \
	PREFIX="%{_prefix}" \
	%{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
	DESTDIR=%{buildroot} \
	LIBDIR="/%{_lib}" \
	PREFIX="%{_prefix}"

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--add-category=X-Fedora \
	--delete-original \
	%{buildroot}%{_datadir}/applications/gajim.desktop


%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS Changelog
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_libdir}/gajim/
%{_datadir}/applications/*gajim.desktop
%{_datadir}/gajim/
%{_datadir}/pixmaps/gajim*
%{_mandir}/man1/gajim.1*
%{_mandir}/man1/gajim-remote.1*

%changelog
* Mon Jun  5 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.10.1-1
- Update to 0.10.1
- Change e-mail address in ChangeLog

* Tue May  2 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.10-1
- Update to 0.10

* Wed Apr 19 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.10-0.1.pre2
- Update to 0.10-pre2

* Thu Apr 13 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.10-0.1.pre1
- Update to 0.10-pre1
- Drop patches

* Thu Mar 30 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.9.1-3
- Remove Gnome dependencies
- Fix crash with notify-daemon (#187274, Stefan Plewako)
  http://trac.gajim.org/ticket/1347

* Tue Feb 14 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.9.1-2
- Rebuild for Fedora Extras 5

* Sun Jan 15 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.9.1-1
- update to 0.9.1 (Eric Tanguy, #176614)
- drop aplay.patch
- fix compilation with modular X.Org X11R7

* Tue Sep  6 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8.2-1
- new version 0.8.2
- remove patches .cflags, .po, .x86_64, .remote (pushed upstream)

* Sat Sep  3 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8.1-1
- Version 0.8.1
- drop gajim-remote.py file (included in tarball)

* Wed Aug 24 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8-5
- Don't build internal modules

* Wed Aug 24 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8-4
- Add missing BuildRequires:  desktop-file-utils

* Wed Aug 24 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8-3
- add .x86_64.patch (fix broken lib dir)

* Wed Aug 24 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8-2
- fix gajim-remote.py script

* Sat Aug 20 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.8-1
- Initial RPM release.
